%global momorel 5

# Generated from rake-0.8.1.gem by gem2rpm -*- rpm-spec -*-
# for Momonga Linux
%define ruby_sitelib %(ruby18 -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby18 -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname rake
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby based make-like utility
Name: rubygem18-%{gemname}
Version: 0.8.7
Release: %{momorel}m%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rake.rubyforge.org
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems18
BuildRequires: rubygems18 >= 1.3.7-2m
BuildArch: noarch
Provides: rubygem18(%{gemname}) = %{version}

%description
Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem18 install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
find %{buildroot}/%{_bindir} -type f | xargs -n 1 sed -i  -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby18"'
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/{lib,test} -type f | xargs -n 1 sed -i  -e '/^#!\/usr\/bin\/env ruby18/d'
find %{buildroot}%{geminstdir}/{doc,lib,test} -type f | xargs chmod 0644
#"

mv %{buildroot}/%{_bindir}/rake %{buildroot}/%{_bindir}/rake18

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/rake18
#%%{gemdir}/gems/%{gemname}-%{version}/
%dir %{geminstdir}
%{geminstdir}/Rakefile
%{geminstdir}/install.rb
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/test
#
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README
%doc %{geminstdir}/MIT-LICENSE
%doc %{geminstdir}/TODO
%doc %{geminstdir}/CHANGES
%doc %{geminstdir}/doc/jamis.rb
%doc %{geminstdir}/doc/rake.1.*
%doc %{geminstdir}/doc/example/Rakefile1
%doc %{geminstdir}/doc/example/Rakefile2
%doc %{geminstdir}/doc/example/a.c
%doc %{geminstdir}/doc/example/b.c
%doc %{geminstdir}/doc/example/main.c
%doc %{geminstdir}/doc/command_line_usage.rdoc
%doc %{geminstdir}/doc/glossary.rdoc
%doc %{geminstdir}/doc/proto_rake.rdoc
%doc %{geminstdir}/doc/rakefile.rdoc
%doc %{geminstdir}/doc/rational.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.4.14.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.4.15.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.5.0.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.5.3.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.5.4.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.6.0.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.7.0.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.7.1.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.7.2.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.7.3.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.0.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.2.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.3.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.4.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.5.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.6.rdoc
%doc %{geminstdir}/doc/release_notes/rake-0.8.7.rdoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.7-5m)
- full rebuild for mo7 release

* Sun Aug  8 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-4m)
- rebuild against rubygems18-1.3.7-2m

* Sat Aug  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.7-3m)
- rename to rubygem-rake to rubygem18-rake

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Jun  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Sat Mar 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.3-1m)
- version up 0.8.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-4m)
- rebuild against rpm-4.6

* Sat Aug 30 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.1-3m)
- remove Provides and Obsoletes

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.1-2m)
- rebuild against gcc43

* Sun Feb 17 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.1-1m)
- version up 0.8.1

* Fri Jan 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-2m)
- Provides and Obsoletes rake for smooth upgrading
- fix "File listed twice"

* Fri Jan 11 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.3-1m)
- import from dlutter repo

* Thu Aug 23 2007 David Lutterkort <dlutter@redhat.com> - 0.7.3-2
- Fix license tag
- Remove bogus shebangs in lib/ and test/

* Mon Jun 18 2007 David Lutterkort <dlutter@redhat.com> - 0.7.3-1
- Initial package
